Merge pull request #4 from mj3f/master

Fixed some typos.
This commit is contained in:
Alicia Sykes 2023-08-23 22:57:10 +01:00 committed by GitHub
commit dae1803540
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23
5 changed files with 8 additions and 8 deletions

View File

@ -84,8 +84,8 @@ make_intro () {
" ${C3}- On Arch Linux, updates and installs packages via Pacman\n"\
" ${C3}- On Debian Linux, updates and installs packages via apt get\n"\
" ${C3}- On Linux desktop systems, prompt to install desktop apps via Flatpak\n"\
" ${C3}- Checks that OS is up-to-date and criticial patches are installed\n"\
"${C2}(4) Configure sytstem\n"\
" ${C3}- Checks that OS is up-to-date and critical patches are installed\n"\
"${C2}(4) Configure system\n"\
" ${C3}- Setup Vim, and install / update Vim plugins via Plug\n"\
" ${C3}- Setup Tmux, and install / update Tmux plugins via TPM\n"\
" ${C3}- Setup ZSH, and install / update ZSH plugins via Antigen\n"\
@ -227,7 +227,7 @@ function setup_dot_files () {
# If git clone / pull failed, then exit with error
if ! test "$?" -eq 0; then
echo -e >&2 "${RED_B}Failed to fetch dotfiels from git${RESET}"
echo -e >&2 "${RED_B}Failed to fetch dotfiles from git${RESET}"
terminate
fi
@ -425,7 +425,7 @@ fi
# Let's Begin!
pre_setup_tasks # Print start message, and check requirements are met
setup_dot_files # Clone / updatae dotfiles, and create the symlinks
setup_dot_files # Clone / update dotfiles, and create the symlinks
install_packages # Prompt to install / update OS-specific packages
apply_preferences # Apply settings for individual applications
finishing_up # Refresh current session, print summary and exit

View File

@ -124,7 +124,7 @@ echo -e "${CYAN_B}Would you like to update package database? (y/N)${RESET}\n"
read -t $PROMPT_TIMEOUT -n 1 -r
echo
if [[ $REPLY =~ ^[Yy]$ ]]; then
echo -e "${PURPLE}Updating dadatbase...${RESET}"
echo -e "${PURPLE}Updating database...${RESET}"
sudo pacman -Syy --noconfirm
fi

View File

@ -159,7 +159,7 @@ echo -e "${CYAN_B}Would you like to update package database? (y/N)${RESET}\n"
read -t $PROMPT_TIMEOUT -n 1 -r
echo
if [[ $REPLY =~ ^[Yy]$ ]]; then
echo -e "${PURPLE}Updating dadatbase...${RESET}"
echo -e "${PURPLE}Updating database...${RESET}"
sudo apt update
fi

View File

@ -4,7 +4,7 @@
# Linux Desktop Application Installations via Flatpak #
######################################################################
# This script will: #
# - Check that Flatpak is installed / promt to install #
# - Check that Flatpak is installed / prompt to install #
# - Update currently installed Flatpak apps from FlatHub #
# - Check app not already installed via system package manager #
# - Then install any not-yet-installed that are apps listed #

View File

@ -39,7 +39,7 @@ winget_apps=(
'Keybase.Keybase'
'KeePassXCTeam.KeePassXC'
# Netowking
# Networking
'WiresharkFoundation.Wireshark'
'angryziber.AngryIPScanner'